# fnconv

~~~
fnconv: renommer un fichier ou les fichiers d'un répertoire

USAGE
    fnconv -f FILE [cmds...]
    fnconv FILE [cmds...]

Une ou plusieurs commandes peuvent être spécifiées, séparées //
La commande par défaut est 'fixcase'

OPTIONS
    -N, --detect-always
        Pour la commande conv, ne pas optimiser le calcul de l'encoding. Cette
        option n'est valide que si src_enc n'est pas spécifié. On assume que
        tous les fichiers n'ont pas le même encoding: l'encoding src_enc est
        donc recalculé à chaque fois.
    -r, --reverse
        Pour la commande conv, inverser src_enc et dest_enc, qui doivent être
        tous les deux spécifiés.
    -f, --file FILE
        Spécifier le fichier ou le répertoire concerné par le renommage. Les
        aliases -d et --dir sont aussi reconnus.
        Si cette option n'est pas spécifiée, le premier argument est considéré
        comme le nom du fichier ou du répertoire à renommer.
        Si un répertoire est spécifié, le traitement est appliqué à tous les
        fichiers et répertoires de façon récursive, sans limite de profondeur.
    --show-cmd
        Afficher la commande qui serait exécutée

COMMANDES
    C, conv dest_enc [src_enc]
        Convertir le nom du fichier dans un autre encoding.
        dest_enc est l'encoding destination. Il doit être spécifié.
        src_enc est l'encoding source. S'il n'est pas spécifié ou vaut 'detect',
            il est autodétecté.
    U, utf8 [src_enc]
        Equivalent à conv utf8 src_enc
    L, latin1 [src_enc]
        Equivalent à conv latin1 src_enc
    lc, latin1compat
        Transformer certains caratères UTF-8 en équivalents qui existent en Latin1
    na, noaccents
        Transformer les caractères accentués en caractères non accentués
    l, lowercase
        Transfomer le nom en minuscule
    u, uppercase
        Transformer le nom en majuscule
    f, fixcase
        Transformer le nom en minuscule s'il est entièrement en majuscule
~~~

-*- coding: utf-8 mode: markdown -*- vim:sw=4:sts=4:et:ai:si:sta:fenc=utf-8:noeol:binary